
package cn.com.poc.thirdparty.resource.text_in.entity.imageEdgeTriming;

import java.util.List;

@SuppressWarnings("unused")
public class ImageList {

    private Long angle;//图像角度，correct_direction=1时生效 定义0度为人类阅读文字的图像方向，称为正置图像， 本字段表示输入图像是正置图像进行顺时针若干角度的旋转所得。
    private Long cropped_height;//图像处理后的高
    private Long cropped_width;//图像处理后的宽
    private String image;//图像处理后的jpg图片，base64格式
    private List<Object> position;//切图区域的4个角点坐标, 是个长度为8的数组

    public Long getAngle() {
        return angle;
    }

    public void setAngle(Long angle) {
        this.angle = angle;
    }

    public Long getCropped_height() {
        return cropped_height;
    }

    public void setCropped_height(Long cropped_height) {
        this.cropped_height = cropped_height;
    }

    public Long getCropped_width() {
        return cropped_width;
    }

    public void setCropped_width(Long cropped_width) {
        this.cropped_width = cropped_width;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public List<Object> getPosition() {
        return position;
    }

    public void setPosition(List<Object> position) {
        this.position = position;
    }
}
